unit CMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.Controls.Presentation;

type
  TFormMain = class(TForm)
    btnChange: TButton;
    procedure btnChangeClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses
  java.lang.Process, java.lang.Runtime, Androidapi.Helpers,
  AndroidAPI.JNIBridge,
  Androidapi.JNI.JavaTypes, java.io.DataOutputStream;

{$R *.fmx}

procedure TFormMain.btnChangeClick(Sender: TObject);
var
  process :JProcess;
  os:JDataOutputStream;
  command:string;
begin
  //
  process:=TJRuntime.JavaClass.getRuntime.exec(StringToJString('su'));
  os:=TJDataOutputStream.JavaClass.init(process.getOutputStream);

  command:='date -s 20150406.130930'+sLineBreak;
  os.writeBytes(StringToJString(command));
  os.flush;
  os.writeBytes(StringToJString('exit'+sLineBreak));
  os.flush;
  process.waitFor;
  btnChange.Text:='ok';
end;

end.
